# Charts' states — ax_states • apexcharter

Charts' states

    ax_states(ax, normal = NULL, hover = NULL, active = NULL, ...)

## Arguments

ax

  A `apexcharts` `htmlwidget` object.

normal

  A list of parameters.

hover

  A list of parameters.

active

  A list of parameters.

...

  Additional parameters.

## Value

A `apexcharts` `htmlwidget` object.

## Note

See https://apexcharts.com/docs/options/states/

## Examples

    data("mpg", package = "ggplot2")

    # Inverse effect on hover
    apex(
      data = mpg,
      mapping = aes(x = manufacturer),
      type = "bar"
    ) %>%
      ax_states(
        hover = list(
          filter = list(
            type = "darken"
          )
        )
      )